#include <bits/stdc++.h>

int main()
{
    std::ios::sync_with_stdio(false);
    std::cin.tie(0);
    std::cout.tie(0);
    std::cerr.tie(0);

    int x1,y1;
    int x2,y2;

    std::cin >> x1 >> y1;
    std::cin >> x2 >> y2;

    if(x1==x2 || y1==y2){
        std::cout << 2;
    }else if(std::abs(x1-x2)==std::abs(y1-y2)){
        std::cout << 1;
    }else{
        std::cout << 0;
    }

    return 0;
}